/*
    reflex-racing theme by htprankster
    License
*/

@font-face
{
    /* ./geist-mono-licence.txt */
    font-family: "GeistMono";
    src: url("../../static/fonts/GeistMono-VariableFont_wght.ttf");
}

.dark #scroll-container::before {
    content: "";
    position: fixed;
    top: 0; left: 0; right: 0; bottom: 0;
    background-image: radial-gradient(#b8d096 1.2px, transparent 1.2px),
                      radial-gradient(#b8d096 1.2px, transparent 1.2px);
    background-size: 16px 16px;
    background-position: 0 0, 8px 8px;
    opacity: 0.2;
    z-index: 0;
    pointer-events: none;
}

#scroll-container::before {
    content: "";
    position: fixed;
    top: 0; left: 0; right: 0; bottom: 0;
    background-image: radial-gradient(#000 1.2px, transparent 1.2px),
                      radial-gradient(#000 1.2px, transparent 1.2px);
    background-size: 16px 16px;
    background-position: 0 0, 8px 8px;
    opacity: 0.2;
    z-index: 0;
    pointer-events: none;
}

#scroll-container:has(.page-editor)::before,
#scroll-container:has(.settings)::before {
    opacity: 0;
}

.dark .custom-scrollbar {
    scrollbar-color: #09523a transparent;
}

.dark .sidebar__tabs,
.dark .sidebar__tabs-list,
.dark .page-viewer__subheader,
.dark .sidebar__content,
.dark .app-layout__header {
    background-color: #080b0d;
}

.app-layout__subheader-root {
    z-index: 1;
}

.dark .app-layout__main-content-area-viewer {
    background-color: #0c1011;
}

* {
    font-family: GeistMono;
}

.dark .page-editor p > a,
.dark article p > a {
    color: #dcdc86;
}

.dark .app-layout__site-name,
.dark .sidebar__tab-button--inactive,
.dark article {
    color: #f0f8ff;
}

.dark * {
    border-color: #09523a;
}

.page-viewer__subheader,
.app-layout__header,
.sidebar__tabs {
    border-bottom-width: 2px;
}

article a:hover,
.sidebar__content a:hover {
    text-decoration: underline;
}

.dark .app-layout__sidebar-resize-handle-default {
    background-color: #09523a;
}

.dark .tree-node:hover {
    background-color: hsl(160, 80%, 18%, 40%);
}

.bg-background,
nav.child-list__section {
    border-width: 2px;
}

.dark button.bg-background:hover {
    background-color: hsl(160, 80%, 18%, 40%);
}

.dark .tree-node--inactive .tree-node__marker {
    background-color: #09523a;
}

.dark .tree-node--active .tree-node__marker {
    background-color: #47ebb4;
}

.dark .tree-node--inactive .tree-node__title {
    color: #f0f8ff;
}

.dark .tree-node--active .tree-node__title,
.dark .breadcrumbs-nav__link {
    color: #47ebb4;
}

.page-viewer__body {
    background-color: #ffffff;
    padding: 0 20px;
    border: 2px solid transparent;
    border-radius: 16px;
    z-index: 1;
}

.dark .page-viewer__body {
    background-color: #0c1011;
}

.app-layout__toc-pane {
    background-color: #ffffff;
    height: 100%;
}

.dark .app-layout__toc-pane {
    background-color: #0c1011;
}